Bug 1075594 - RFE: python-libguestfs should be available on pypi
Summary: RFE: python-libguestfs should be available on pypi
Keywords:
Status: NEW
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-12 12:47 UTC by Richard W.M. Jones
Modified: 2020-07-31 21:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-03-12 12:47:11 UTC
Description of problem:

12:39 < danpb> rwmjones: you need to split the python bindings off into their own tar.gz and upload it to pypi  as we did with 
               libvirt recently

We would have to build a separate python-libguestfs tarball
which contains just the python bindings, and upload it here:

https://pypi.python.org/pypi

This should allow people to use 'pip install', and to install
python-libguestfs in a virtualenv.

See also:

http://askubuntu.com/questions/432562/how-to-install-python-guestfs-and-libguestfs-tools-in-python-virtual-environment

Comment 1 Richard W.M. Jones 2014-03-29 17:39:49 UTC
Added:

https://github.com/libguestfs/libguestfs/commit/fcbfc4775fa2a44020974073594a745ca420d614

Currently we are blocked on a licensing problem with the
PyPi website.

Comment 2 Richard W.M. Jones 2016-07-12 09:24:46 UTC
In the fairly near future you should be able to install
python-libguestfs in a virtualenv using pip, using:

pip install http://libguestfs.org/download/python/guestfs-1.XX.YY.tar.gz

Comment 3 Nadav Goldin 2017-06-17 19:55:25 UTC
Hi, 
Wondering if there are news on this?

Other than not being able to require guestfs in a setup_requires(as it must be declared as a dependency_link, and pip disables 'process_dependencies_links' by default), there are two other problems:

1. You must pin down the version in your requirements.txt, so you can't use any version comparison operators. This might be resolved by making http://libguestfs.org/download/python compatible as PyPI index, then one could install guestfs with:
pip install -e http://libguestfs.org/download/python guestfs

and use the version operators if needed, (i.e. guestfs == 1.36.1 etc)

2. There is no https, and pip warns about it(for now..)

Comment 4 Richard W.M. Jones 2017-06-17 20:48:05 UTC
Still waiting for PyPi to change their license.  As you note we are
making python packages available, but TBH there's no real reason to
use them over using the ordinary distro packages.

Comment 5 Monty Taylor 2018-04-06 09:40:15 UTC
I just went and checked https://pypi.python.org/tos and it seems better than I remember - has it been updated sufficiently to get libguestfs uploaded now?

Comment 6 Étienne BERSAC 2018-10-11 15:49:41 UTC
Hi,

Actually, python binding is broken for Python3 according to #1627964 . GObject Introspection works fine and is available on PyPI. Just `pip install pygobject` and open the right .typelib file and you're good to go.

Regards,
Étienne BERSAC

Comment 7 Martin Kletzander 2020-01-09 15:31:56 UTC
(In reply to Richard W.M. Jones from comment #4)
It is actually useful if using virtual environments.  It also makes it easier to integrate with existing solutions (testing etc.) when developing.

The terms of service are now just short terms of use which you might reconsider: https://pypi.org/policy/terms-of-use/

Would it be possible to consider this for libnbd as well in case you reconsider it for guestfs?

Comment 8 Richard W.M. Jones 2020-01-16 08:49:30 UTC
As discussed on IRC the new terms are acceptable.


Note You need to log in before you can comment on or make changes to this bug.